
Katello - Bug #5703

Infinite reloads when hitting on an entities page with a / at the end

05/13/2014 07:53 PM - Partha Aji

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Go to a page like http://&lt;fqdn&gt;/activation_keys/ or http://&lt;fqdn&gt;/content_views/ (with a / at the end).. Infinite reload loop

ensues.

Related issues:

Related to Katello - Bug #4946: Switching orgs in a katello page results in a... Closed 03/28/2014

Associated revisions

Revision 29eb5a5d - 05/22/2014 11:58 AM - Walden Raines

Fixes #5703, prevent infinite loop on trailing slash.

Revision 6a6e617d - 05/22/2014 02:22 PM - Walden Raines

Merge pull request #4138 from waldenraines/5703

Fixes #5703, prevent infinite loop on trailing slash.

Revision 415ab3fa - 05/22/2014 03:58 PM - Walden Raines

Fixes #5703, prevent infinite loop on trailing slash.

Revision 33a73468 - 05/22/2014 06:22 PM - Walden Raines

Merge pull request #4138 from waldenraines/5703

Fixes #5703, prevent infinite loop on trailing slash.

History

#1 - 05/13/2014 07:53 PM - Partha Aji

- Assignee set to Walden Raines

#2 - 05/13/2014 08:00 PM - Walden Raines

- Related to Bug #4946: Switching orgs in a katello page results in a redirect loop added

#3 - 05/22/2014 03:59 PM - Walden Raines

- Status changed from New to Ready For Testing

https://github.com/Katello/katello/pull/4138

#4 - 05/22/2014 06:52 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:415ab3fa654ce5e12f03c6cba84f844cf2854f8d.
#5 - 06/06/2014 01:09 PM - Eric Helms

- Triaged changed from No to Yes

#6 - 08/22/2014 08:23 AM - Eric Helms

- translation missing: en.field_release set to 13
